Glib::Value< char > Class Template Reference
Generic Values

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< char >:
[legend]

## Public Types

using | CppType = char
using | CType = gchar

## Public Member Functions

void | set (char data)
char | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions

static GType | value_type ()

## Additional Inherited Members

Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

### template<>
class Glib::Value< char >

Deprecated:
  Use Value<signed char> instead.

## Member Typedef Documentation

using Glib::Value< char >::CppType = char

using Glib::Value< char >::CType = gchar

## Member Function Documentation

char Glib::Value< char >::get | ( |  | ) | const

void Glib::Value< char >::set | ( | char | data | ) |

static GType Glib::Value< char >::value_type | ( |  | ) |

static